﻿using Infragistics.Samples;
using Infragistics.Windows.DockManager;
using Infragistics.Windows.DockManager.Events;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DockManager_AddPanes
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
		private static int NewPaneCount;
		static MainWindow()
		{
			Func<string, ContentPane, RelativePanePosition, MenuItem> createPaneMenuItem = (header, pane, position) =>
			{
				var mi = new MenuItem { Header = header };
				mi.Click += (o, e) => 
				{
					var newPane = pane.CreateRelativePane(position);
					newPane.Header = "New Pane " + NewPaneCount++;
					newPane.Content = "New Pane";
				};
				return mi;
			};

			EventManager.RegisterClassHandler(typeof(ContentPane), ContentPane.OptionsMenuOpeningEvent, new EventHandler<PaneOptionsMenuOpeningEventArgs>((o, e) =>
			{
				var cp = (ContentPane)o;
				e.Items.Add(new Separator());
				e.Items.Add(createPaneMenuItem("Create to the left", cp, RelativePanePosition.Left));
				e.Items.Add(createPaneMenuItem("Create to the right", cp, RelativePanePosition.Right));
				e.Items.Add(createPaneMenuItem("Create above", cp, RelativePanePosition.Top));
				e.Items.Add(createPaneMenuItem("Create below", cp, RelativePanePosition.Bottom));
				e.Items.Add(createPaneMenuItem("Create tab after", cp, RelativePanePosition.TabItemAfter));
				e.Items.Add(new Separator());
				e.Items.Add(createPaneMenuItem("Create root on the left", cp, RelativePanePosition.RootOutsideLeft));
				e.Items.Add(createPaneMenuItem("Create root on the right", cp, RelativePanePosition.RootOutsideRight));
				e.Items.Add(createPaneMenuItem("Create root on top", cp, RelativePanePosition.RootOutsideTop));
				e.Items.Add(createPaneMenuItem("Create root on bottom", cp, RelativePanePosition.RootOutsideBottom));
			}));
		}

        public MainWindow()
        {
            InitializeComponent();
        }
    }
}
